[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#611276: libreoffice-gcj: File clash with openoffice.org-gcj

Hi Jordi,

On Thu, Jan 27, 2011 at 05:17:24PM +0100, Jordi Mallach wrote:
> I tried upgrading to libreoffice issuing:
> sudo apt-get install libreoffice libreoffice-help-ca libreoffice-l10n-ca
> -t experimental --purge

There you didn't say anything about -gcj :-)

> S'està desempaquetant libreoffice-gcj (de …/libreoffice-gcj_1%3a3.3.0-1_i386.deb) …
> dpkg: s'ha produït un error en processar /var/cache/apt/archives/libreoffice-gcj_1%3a3.3.0-1_i386.deb (--unpack):
>  s'està intentant sobreescriure «/usr/lib/gcj/openoffice/ScriptProviderForJava.jar.so», que també està en el paquet openoffice.org-gcj 1:3.2.1-11
> configured to not write apport reports
>    dpkg-deb: el subprocés enganxa ha estat finalitzat pel senyal (La canonada s’ha trencat)
> S'està preparant per a reemplaçar openoffice.org-gcj 1:3.2.1-11 (fent servir …/openoffice.org-gcj_1%3a3.3.0-1_all.deb) …
> It seems openoffice-gcj should have been upgraded just before.

Yeah, but the question is how to achive that. The only possible option probably is
a conflicts: openoffice-gcj (<< 3.3.0~) in libreoffice-gcj. (Versionless wouldn't work
as the transitional package otherwise would be useless).

Or we just add a replaces. That would make unpacking libreoffice-gcj succeed and (hopefully)
later openoffice.org-gcj gets updated.

Or both...

I just tried "proper" dist-upgrade, too and the same thing happens.


 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: D03E3E70
   `-   Fingerprint: E12D EA46 7506 70CF A960 801D 0AA0 4571 D03E 3E70

Reply to: